"Fossies" - the Fresh Open Source Software Archive

Member "openpa-1.0.4/test/Makefile.in" (11 Jan 2013, 33197 Bytes) of package /linux/misc/openpa-1.0.4.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.13.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # -*- Mode: c-basic-offset:4 ; indent-tabs-mode:nil ; -*-
   18 #  
   19 #  (C) 2008 by Argonne National Laboratory.
   20 #      See COPYRIGHT in top-level directory.
   21 VPATH = @srcdir@
   22 am__make_dryrun = \
   23   { \
   24     am__dry=no; \
   25     case $$MAKEFLAGS in \
   26       *\\[\ \	]*) \
   27         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
   28           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
   29       *) \
   30         for am__flg in $$MAKEFLAGS; do \
   31           case $$am__flg in \
   32             *=*|--*) ;; \
   33             *n*) am__dry=yes; break;; \
   34           esac; \
   35         done;; \
   36     esac; \
   37     test $$am__dry = yes; \
   38   }
   39 pkgdatadir = $(datadir)/@PACKAGE@
   40 pkgincludedir = $(includedir)/@PACKAGE@
   41 pkglibdir = $(libdir)/@PACKAGE@
   42 pkglibexecdir = $(libexecdir)/@PACKAGE@
   43 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   44 install_sh_DATA = $(install_sh) -c -m 644
   45 install_sh_PROGRAM = $(install_sh) -c
   46 install_sh_SCRIPT = $(install_sh) -c
   47 INSTALL_HEADER = $(INSTALL_DATA)
   48 transform = $(program_transform_name)
   49 NORMAL_INSTALL = :
   50 PRE_INSTALL = :
   51 POST_INSTALL = :
   52 NORMAL_UNINSTALL = :
   53 PRE_UNINSTALL = :
   54 POST_UNINSTALL = :
   55 build_triplet = @build@
   56 host_triplet = @host@
   57 TESTS = sanity$(EXEEXT) test_primitives$(EXEEXT) \
   58 	test_barriers$(EXEEXT) test_queue$(EXEEXT)
   59 check_PROGRAMS = $(am__EXEEXT_1)
   60 subdir = test
   61 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
   62 	$(top_srcdir)/confdb/depcomp $(top_srcdir)/confdb/test-driver
   63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   64 am__aclocal_m4_deps = $(top_srcdir)/confdb/ax_prefix_config_h.m4 \
   65 	$(top_srcdir)/confdb/libtool.m4 \
   66 	$(top_srcdir)/confdb/ltoptions.m4 \
   67 	$(top_srcdir)/confdb/ltsugar.m4 \
   68 	$(top_srcdir)/confdb/ltversion.m4 \
   69 	$(top_srcdir)/confdb/lt~obsolete.m4 $(top_srcdir)/configure.ac
   70 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   71 	$(ACLOCAL_M4)
   72 mkinstalldirs = $(install_sh) -d
   73 CONFIG_HEADER = $(top_builddir)/src/config.h
   74 CONFIG_CLEAN_FILES =
   75 CONFIG_CLEAN_VPATH_FILES =
   76 am__EXEEXT_1 = sanity$(EXEEXT) test_primitives$(EXEEXT) \
   77 	test_barriers$(EXEEXT) test_queue$(EXEEXT)
   78 am_sanity_OBJECTS = sanity.$(OBJEXT)
   79 sanity_OBJECTS = $(am_sanity_OBJECTS)
   80 sanity_LDADD = $(LDADD)
   81 sanity_DEPENDENCIES =
   82 AM_V_lt = $(am__v_lt_@AM_V@)
   83 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
   84 am__v_lt_0 = --silent
   85 am__v_lt_1 = 
   86 am_test_barriers_OBJECTS = test_barriers.$(OBJEXT)
   87 test_barriers_OBJECTS = $(am_test_barriers_OBJECTS)
   88 test_barriers_LDADD = $(LDADD)
   89 test_barriers_DEPENDENCIES =
   90 am_test_primitives_OBJECTS = test_primitives.$(OBJEXT)
   91 test_primitives_OBJECTS = $(am_test_primitives_OBJECTS)
   92 test_primitives_LDADD = $(LDADD)
   93 test_primitives_DEPENDENCIES =
   94 am_test_queue_OBJECTS = test_queue.$(OBJEXT)
   95 test_queue_OBJECTS = $(am_test_queue_OBJECTS)
   96 test_queue_LDADD = $(LDADD)
   97 test_queue_DEPENDENCIES =
   98 AM_V_P = $(am__v_P_@AM_V@)
   99 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  100 am__v_P_0 = false
  101 am__v_P_1 = :
  102 AM_V_GEN = $(am__v_GEN_@AM_V@)
  103 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  104 am__v_GEN_0 = @echo "  GEN     " $@;
  105 am__v_GEN_1 = 
  106 AM_V_at = $(am__v_at_@AM_V@)
  107 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  108 am__v_at_0 = @
  109 am__v_at_1 = 
  110 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
  111 depcomp = $(SHELL) $(top_srcdir)/confdb/depcomp
  112 am__depfiles_maybe = depfiles
  113 am__mv = mv -f
  114 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  115 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  116 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  117 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  118 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  119 	$(AM_CFLAGS) $(CFLAGS)
  120 AM_V_CC = $(am__v_CC_@AM_V@)
  121 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  122 am__v_CC_0 = @echo "  CC      " $@;
  123 am__v_CC_1 = 
  124 CCLD = $(CC)
  125 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  126 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  127 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
  128 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  129 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  130 am__v_CCLD_0 = @echo "  CCLD    " $@;
  131 am__v_CCLD_1 = 
  132 SOURCES = $(sanity_SOURCES) $(test_barriers_SOURCES) \
  133 	$(test_primitives_SOURCES) $(test_queue_SOURCES)
  134 DIST_SOURCES = $(sanity_SOURCES) $(test_barriers_SOURCES) \
  135 	$(test_primitives_SOURCES) $(test_queue_SOURCES)
  136 am__can_run_installinfo = \
  137   case $$AM_UPDATE_INFO_DIR in \
  138     n|no|NO) false;; \
  139     *) (install-info --version) >/dev/null 2>&1;; \
  140   esac
  141 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  142 # Read a list of newline-separated strings from the standard input,
  143 # and print each of them once, without duplicates.  Input order is
  144 # *not* preserved.
  145 am__uniquify_input = $(AWK) '\
  146   BEGIN { nonempty = 0; } \
  147   { items[$$0] = 1; nonempty = 1; } \
  148   END { if (nonempty) { for (i in items) print i; }; } \
  149 '
  150 # Make sure the list of sources is unique.  This is necessary because,
  151 # e.g., the same source file might be shared among _SOURCES variables
  152 # for different programs/libraries.
  153 am__define_uniq_tagged_files = \
  154   list='$(am__tagged_files)'; \
  155   unique=`for i in $$list; do \
  156     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  157   done | $(am__uniquify_input)`
  158 ETAGS = etags
  159 CTAGS = ctags
  160 am__tty_colors_dummy = \
  161   mgn= red= grn= lgn= blu= brg= std=; \
  162   am__color_tests=no
  163 am__tty_colors = { \
  164   $(am__tty_colors_dummy); \
  165   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  166     am__color_tests=no; \
  167   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  168     am__color_tests=yes; \
  169   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  170     am__color_tests=yes; \
  171   fi; \
  172   if test $$am__color_tests = yes; then \
  173     red=''; \
  174     grn=''; \
  175     lgn=''; \
  176     blu=''; \
  177     mgn=''; \
  178     brg=''; \
  179     std=''; \
  180   fi; \
  181 }
  182 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  183 am__vpath_adj = case $$p in \
  184     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  185     *) f=$$p;; \
  186   esac;
  187 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  188 am__install_max = 40
  189 am__nobase_strip_setup = \
  190   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  191 am__nobase_strip = \
  192   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  193 am__nobase_list = $(am__nobase_strip_setup); \
  194   for p in $$list; do echo "$$p $$p"; done | \
  195   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  196   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  197     if (++n[$$2] == $(am__install_max)) \
  198       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  199     END { for (dir in files) print dir, files[dir] }'
  200 am__base_list = \
  201   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  202   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  203 am__uninstall_files_from_dir = { \
  204   test -z "$$files" \
  205     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  206     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  207          $(am__cd) "$$dir" && rm -f $$files; }; \
  208   }
  209 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  210 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  211 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  212 # A command that, given a newline-separated list of test names on the
  213 # standard input, print the name of the tests that are to be re-run
  214 # upon "make recheck".
  215 am__list_recheck_tests = $(AWK) '{ \
  216   recheck = 1; \
  217   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  218     { \
  219       if (rc < 0) \
  220         { \
  221           if ((getline line2 < ($$0 ".log")) < 0) \
  222 	    recheck = 0; \
  223           break; \
  224         } \
  225       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  226         { \
  227           recheck = 0; \
  228           break; \
  229         } \
  230       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  231         { \
  232           break; \
  233         } \
  234     }; \
  235   if (recheck) \
  236     print $$0; \
  237   close ($$0 ".trs"); \
  238   close ($$0 ".log"); \
  239 }'
  240 # A command that, given a newline-separated list of test names on the
  241 # standard input, create the global log from their .trs and .log files.
  242 am__create_global_log = $(AWK) ' \
  243 function fatal(msg) \
  244 { \
  245   print "fatal: making $@: " msg | "cat >&2"; \
  246   exit 1; \
  247 } \
  248 function rst_section(header) \
  249 { \
  250   print header; \
  251   len = length(header); \
  252   for (i = 1; i <= len; i = i + 1) \
  253     printf "="; \
  254   printf "\n\n"; \
  255 } \
  256 { \
  257   copy_in_global_log = 1; \
  258   global_test_result = "RUN"; \
  259   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  260     { \
  261       if (rc < 0) \
  262          fatal("failed to read from " $$0 ".trs"); \
  263       if (line ~ /$(am__global_test_result_rx)/) \
  264         { \
  265           sub("$(am__global_test_result_rx)", "", line); \
  266           sub("[ 	]*$$", "", line); \
  267           global_test_result = line; \
  268         } \
  269       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  270         copy_in_global_log = 0; \
  271     }; \
  272   if (copy_in_global_log) \
  273     { \
  274       rst_section(global_test_result ": " $$0); \
  275       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  276       { \
  277         if (rc < 0) \
  278           fatal("failed to read from " $$0 ".log"); \
  279         print line; \
  280       }; \
  281       printf "\n"; \
  282     }; \
  283   close ($$0 ".trs"); \
  284   close ($$0 ".log"); \
  285 }'
  286 # Restructured Text title.
  287 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  288 # Solaris 10 'make', and several other traditional 'make' implementations,
  289 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  290 # by disabling -e (using the XSI extension "set +e") if it's set.
  291 am__sh_e_setup = case $$- in *e*) set +e;; esac
  292 # Default flags passed to test drivers.
  293 am__common_driver_flags = \
  294   --color-tests "$$am__color_tests" \
  295   --enable-hard-errors "$$am__enable_hard_errors" \
  296   --expect-failure "$$am__expect_failure"
  297 # To be inserted before the command running the test.  Creates the
  298 # directory for the log if needed.  Stores in $dir the directory
  299 # containing $f, in $tst the test, in $log the log.  Executes the
  300 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  301 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  302 # will run the test scripts (or their associated LOG_COMPILER, if
  303 # thy have one).
  304 am__check_pre = \
  305 $(am__sh_e_setup);					\
  306 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  307 $(am__tty_colors);					\
  308 srcdir=$(srcdir); export srcdir;			\
  309 case "$@" in						\
  310   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  311     *) am__odir=.;; 					\
  312 esac;							\
  313 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  314   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  315 if test -f "./$$f"; then dir=./;			\
  316 elif test -f "$$f"; then dir=;				\
  317 else dir="$(srcdir)/"; fi;				\
  318 tst=$$dir$$f; log='$@'; 				\
  319 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  320   am__enable_hard_errors=no; 				\
  321 else							\
  322   am__enable_hard_errors=yes; 				\
  323 fi; 							\
  324 case " $(XFAIL_TESTS) " in				\
  325   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  326     am__expect_failure=yes;;				\
  327   *)							\
  328     am__expect_failure=no;;				\
  329 esac; 							\
  330 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  331 # A shell command to get the names of the tests scripts with any registered
  332 # extension removed (i.e., equivalently, the names of the test logs, with
  333 # the '.log' extension removed).  The result is saved in the shell variable
  334 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  335 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  336 # since that might cause problem with VPATH rewrites for suffix-less tests.
  337 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  338 am__set_TESTS_bases = \
  339   bases='$(TEST_LOGS)'; \
  340   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  341   bases=`echo $$bases`
  342 RECHECK_LOGS = $(TEST_LOGS)
  343 AM_RECURSIVE_TARGETS = check recheck
  344 TEST_SUITE_LOG = test-suite.log
  345 TEST_EXTENSIONS = @EXEEXT@ .test
  346 LOG_DRIVER = $(SHELL) $(top_srcdir)/confdb/test-driver
  347 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  348 am__set_b = \
  349   case '$@' in \
  350     */*) \
  351       case '$*' in \
  352         */*) b='$*';; \
  353           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  354        esac;; \
  355     *) \
  356       b='$*';; \
  357   esac
  358 am__test_logs1 = $(TESTS:=.log)
  359 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  360 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  361 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/confdb/test-driver
  362 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  363 	$(TEST_LOG_FLAGS)
  364 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  365 ACLOCAL = @ACLOCAL@
  366 AMTAR = @AMTAR@
  367 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  368 AR = @AR@
  369 AUTOCONF = @AUTOCONF@
  370 AUTOHEADER = @AUTOHEADER@
  371 AUTOMAKE = @AUTOMAKE@
  372 AWK = @AWK@
  373 CC = @CC@
  374 CCDEPMODE = @CCDEPMODE@
  375 CFLAGS = @CFLAGS@
  376 CONFIG_STATUS_DEPENDENCIES = @CONFIG_STATUS_DEPENDENCIES@
  377 CPP = @CPP@
  378 CPPFLAGS = @CPPFLAGS@
  379 CYGPATH_W = @CYGPATH_W@
  380 DEFS = @DEFS@
  381 DEPDIR = @DEPDIR@
  382 DLLTOOL = @DLLTOOL@
  383 DSYMUTIL = @DSYMUTIL@
  384 DUMPBIN = @DUMPBIN@
  385 ECHO_C = @ECHO_C@
  386 ECHO_N = @ECHO_N@
  387 ECHO_T = @ECHO_T@
  388 EGREP = @EGREP@
  389 EXEEXT = @EXEEXT@
  390 FGREP = @FGREP@
  391 GREP = @GREP@
  392 INSTALL = @INSTALL@
  393 INSTALL_DATA = @INSTALL_DATA@
  394 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  395 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  396 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  397 LD = @LD@
  398 LDFLAGS = @LDFLAGS@
  399 LIBOBJS = @LIBOBJS@
  400 LIBS = @LIBS@
  401 LIBTOOL = @LIBTOOL@
  402 LIPO = @LIPO@
  403 LN_S = @LN_S@
  404 LTLIBOBJS = @LTLIBOBJS@
  405 MAKEINFO = @MAKEINFO@
  406 MANIFEST_TOOL = @MANIFEST_TOOL@
  407 MKDIR_P = @MKDIR_P@
  408 NM = @NM@
  409 NMEDIT = @NMEDIT@
  410 OBJDUMP = @OBJDUMP@
  411 OBJEXT = @OBJEXT@
  412 OTOOL = @OTOOL@
  413 OTOOL64 = @OTOOL64@
  414 PACKAGE = @PACKAGE@
  415 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  416 PACKAGE_NAME = @PACKAGE_NAME@
  417 PACKAGE_STRING = @PACKAGE_STRING@
  418 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  419 PACKAGE_URL = @PACKAGE_URL@
  420 PACKAGE_VERSION = @PACKAGE_VERSION@
  421 PATH_SEPARATOR = @PATH_SEPARATOR@
  422 RANLIB = @RANLIB@
  423 SED = @SED@
  424 SET_MAKE = @SET_MAKE@
  425 SHELL = @SHELL@
  426 STRIP = @STRIP@
  427 VERSION = @VERSION@
  428 abs_builddir = @abs_builddir@
  429 abs_srcdir = @abs_srcdir@
  430 abs_top_builddir = @abs_top_builddir@
  431 abs_top_srcdir = @abs_top_srcdir@
  432 ac_ct_AR = @ac_ct_AR@
  433 ac_ct_CC = @ac_ct_CC@
  434 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  435 am__include = @am__include@
  436 am__leading_dot = @am__leading_dot@
  437 am__quote = @am__quote@
  438 am__tar = @am__tar@
  439 am__untar = @am__untar@
  440 bindir = @bindir@
  441 build = @build@
  442 build_alias = @build_alias@
  443 build_cpu = @build_cpu@
  444 build_os = @build_os@
  445 build_vendor = @build_vendor@
  446 builddir = @builddir@
  447 datadir = @datadir@
  448 datarootdir = @datarootdir@
  449 docdir = @docdir@
  450 dvidir = @dvidir@
  451 exec_prefix = @exec_prefix@
  452 external_pkg_config_libs = @external_pkg_config_libs@
  453 host = @host@
  454 host_alias = @host_alias@
  455 host_cpu = @host_cpu@
  456 host_os = @host_os@
  457 host_vendor = @host_vendor@
  458 htmldir = @htmldir@
  459 includedir = @includedir@
  460 infodir = @infodir@
  461 install_sh = @install_sh@
  462 internal_pkg_config_libs = @internal_pkg_config_libs@
  463 libdir = @libdir@
  464 libexecdir = @libexecdir@
  465 libopa_so_version = @libopa_so_version@
  466 libopa_so_versionflags = @libopa_so_versionflags@
  467 localedir = @localedir@
  468 localstatedir = @localstatedir@
  469 mandir = @mandir@
  470 mkdir_p = @mkdir_p@
  471 oldincludedir = @oldincludedir@
  472 pdfdir = @pdfdir@
  473 prefix = @prefix@
  474 program_transform_name = @program_transform_name@
  475 psdir = @psdir@
  476 sbindir = @sbindir@
  477 sharedstatedir = @sharedstatedir@
  478 srcdir = @srcdir@
  479 sysconfdir = @sysconfdir@
  480 target_alias = @target_alias@
  481 top_build_prefix = @top_build_prefix@
  482 top_builddir = @top_builddir@
  483 top_srcdir = @top_srcdir@
  484 AM_LDFLAGS = -L../src
  485 LDADD = -lopa
  486 DEPENDENCIES = libopa.la
  487 sanity_SOURCES = sanity.c
  488 test_primitives_SOURCES = test_primitives.c opa_test.h
  489 test_barriers_SOURCES = test_barriers.c opa_test.h
  490 test_queue_SOURCES = test_queue.c opa_test.h
  491 AM_CPPFLAGS = -I$(top_srcdir)/src
  492 all: all-am
  493 
  494 .SUFFIXES:
  495 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  496 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  497 	@for dep in $?; do \
  498 	  case '$(am__configure_deps)' in \
  499 	    *$$dep*) \
  500 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  501 	        && { if test -f $@; then exit 0; else break; fi; }; \
  502 	      exit 1;; \
  503 	  esac; \
  504 	done; \
  505 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign test/Makefile'; \
  506 	$(am__cd) $(top_srcdir) && \
  507 	  $(AUTOMAKE) --foreign test/Makefile
  508 .PRECIOUS: Makefile
  509 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  510 	@case '$?' in \
  511 	  *config.status*) \
  512 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  513 	  *) \
  514 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  515 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  516 	esac;
  517 
  518 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  519 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  520 
  521 $(top_srcdir)/configure:  $(am__configure_deps)
  522 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  523 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  524 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  525 $(am__aclocal_m4_deps):
  526 
  527 clean-checkPROGRAMS:
  528 	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  529 	echo " rm -f" $$list; \
  530 	rm -f $$list || exit $$?; \
  531 	test -n "$(EXEEXT)" || exit 0; \
  532 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  533 	echo " rm -f" $$list; \
  534 	rm -f $$list
  535 sanity$(EXEEXT): $(sanity_OBJECTS) $(sanity_DEPENDENCIES) $(EXTRA_sanity_DEPENDENCIES) 
  536 	@rm -f sanity$(EXEEXT)
  537 	$(AM_V_CCLD)$(LINK) $(sanity_OBJECTS) $(sanity_LDADD) $(LIBS)
  538 test_barriers$(EXEEXT): $(test_barriers_OBJECTS) $(test_barriers_DEPENDENCIES) $(EXTRA_test_barriers_DEPENDENCIES) 
  539 	@rm -f test_barriers$(EXEEXT)
  540 	$(AM_V_CCLD)$(LINK) $(test_barriers_OBJECTS) $(test_barriers_LDADD) $(LIBS)
  541 test_primitives$(EXEEXT): $(test_primitives_OBJECTS) $(test_primitives_DEPENDENCIES) $(EXTRA_test_primitives_DEPENDENCIES) 
  542 	@rm -f test_primitives$(EXEEXT)
  543 	$(AM_V_CCLD)$(LINK) $(test_primitives_OBJECTS) $(test_primitives_LDADD) $(LIBS)
  544 test_queue$(EXEEXT): $(test_queue_OBJECTS) $(test_queue_DEPENDENCIES) $(EXTRA_test_queue_DEPENDENCIES) 
  545 	@rm -f test_queue$(EXEEXT)
  546 	$(AM_V_CCLD)$(LINK) $(test_queue_OBJECTS) $(test_queue_LDADD) $(LIBS)
  547 
  548 mostlyclean-compile:
  549 	-rm -f *.$(OBJEXT)
  550 
  551 distclean-compile:
  552 	-rm -f *.tab.c
  553 
  554 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sanity.Po@am__quote@
  555 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_barriers.Po@am__quote@
  556 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_primitives.Po@am__quote@
  557 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_queue.Po@am__quote@
  558 
  559 .c.o:
  560 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  561 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  562 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  563 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  564 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c $<
  565 
  566 .c.obj:
  567 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  568 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  569 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  570 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  571 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
  572 
  573 .c.lo:
  574 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  575 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  576 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  577 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  578 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  579 
  580 mostlyclean-libtool:
  581 	-rm -f *.lo
  582 
  583 clean-libtool:
  584 	-rm -rf .libs _libs
  585 
  586 ID: $(am__tagged_files)
  587 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  588 tags: tags-am
  589 TAGS: tags
  590 
  591 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  592 	set x; \
  593 	here=`pwd`; \
  594 	$(am__define_uniq_tagged_files); \
  595 	shift; \
  596 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  597 	  test -n "$$unique" || unique=$$empty_fix; \
  598 	  if test $$# -gt 0; then \
  599 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  600 	      "$$@" $$unique; \
  601 	  else \
  602 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  603 	      $$unique; \
  604 	  fi; \
  605 	fi
  606 ctags: ctags-am
  607 
  608 CTAGS: ctags
  609 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  610 	$(am__define_uniq_tagged_files); \
  611 	test -z "$(CTAGS_ARGS)$$unique" \
  612 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  613 	     $$unique
  614 
  615 GTAGS:
  616 	here=`$(am__cd) $(top_builddir) && pwd` \
  617 	  && $(am__cd) $(top_srcdir) \
  618 	  && gtags -i $(GTAGS_ARGS) "$$here"
  619 cscopelist: cscopelist-am
  620 
  621 cscopelist-am: $(am__tagged_files)
  622 	list='$(am__tagged_files)'; \
  623 	case "$(srcdir)" in \
  624 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  625 	  *) sdir=$(subdir)/$(srcdir) ;; \
  626 	esac; \
  627 	for i in $$list; do \
  628 	  if test -f "$$i"; then \
  629 	    echo "$(subdir)/$$i"; \
  630 	  else \
  631 	    echo "$$sdir/$$i"; \
  632 	  fi; \
  633 	done >> $(top_builddir)/cscope.files
  634 
  635 distclean-tags:
  636 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  637 
  638 # Recover from deleted '.trs' file; this should ensure that
  639 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  640 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  641 # to avoid problems with "make -n".
  642 .log.trs:
  643 	rm -f $< $@
  644 	$(MAKE) $(AM_MAKEFLAGS) $<
  645 
  646 # Leading 'am--fnord' is there to ensure the list of targets does not
  647 # exand to empty, as could happen e.g. with make check TESTS=''.
  648 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  649 am--force-recheck:
  650 	@:
  651 
  652 $(TEST_SUITE_LOG): $(TEST_LOGS)
  653 	@$(am__set_TESTS_bases); \
  654 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  655 	redo_bases=`for i in $$bases; do \
  656 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  657 	            done`; \
  658 	if test -n "$$redo_bases"; then \
  659 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  660 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  661 	  if $(am__make_dryrun); then :; else \
  662 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  663 	  fi; \
  664 	fi; \
  665 	if test -n "$$am__remaking_logs"; then \
  666 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  667 	       "recursion detected" >&2; \
  668 	else \
  669 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  670 	fi; \
  671 	if $(am__make_dryrun); then :; else \
  672 	  st=0;  \
  673 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  674 	  for i in $$redo_bases; do \
  675 	    test -f $$i.trs && test -r $$i.trs \
  676 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  677 	    test -f $$i.log && test -r $$i.log \
  678 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  679 	  done; \
  680 	  test $$st -eq 0 || exit 1; \
  681 	fi
  682 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  683 	ws='[ 	]'; \
  684 	results=`for b in $$bases; do echo $$b.trs; done`; \
  685 	test -n "$$results" || results=/dev/null; \
  686 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  687 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  688 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  689 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  690 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  691 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  692 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  693 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  694 	  success=true; \
  695 	else \
  696 	  success=false; \
  697 	fi; \
  698 	br='==================='; br=$$br$$br$$br$$br; \
  699 	result_count () \
  700 	{ \
  701 	    if test x"$$1" = x"--maybe-color"; then \
  702 	      maybe_colorize=yes; \
  703 	    elif test x"$$1" = x"--no-color"; then \
  704 	      maybe_colorize=no; \
  705 	    else \
  706 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  707 	    fi; \
  708 	    shift; \
  709 	    desc=$$1 count=$$2; \
  710 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  711 	      color_start=$$3 color_end=$$std; \
  712 	    else \
  713 	      color_start= color_end=; \
  714 	    fi; \
  715 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  716 	}; \
  717 	create_testsuite_report () \
  718 	{ \
  719 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  720 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  721 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  722 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  723 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  724 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  725 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  726 	}; \
  727 	{								\
  728 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  729 	    $(am__rst_title);						\
  730 	  create_testsuite_report --no-color;				\
  731 	  echo;								\
  732 	  echo ".. contents:: :depth: 2";				\
  733 	  echo;								\
  734 	  for b in $$bases; do echo $$b; done				\
  735 	    | $(am__create_global_log);					\
  736 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  737 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  738 	if $$success; then						\
  739 	  col="$$grn";							\
  740 	 else								\
  741 	  col="$$red";							\
  742 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  743 	fi;								\
  744 	echo "$${col}$$br$${std}"; 					\
  745 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  746 	echo "$${col}$$br$${std}"; 					\
  747 	create_testsuite_report --maybe-color;				\
  748 	echo "$$col$$br$$std";						\
  749 	if $$success; then :; else					\
  750 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  751 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  752 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  753 	  fi;								\
  754 	  echo "$$col$$br$$std";					\
  755 	fi;								\
  756 	$$success || exit 1
  757 
  758 check-TESTS:
  759 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  760 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  761 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  762 	@set +e; $(am__set_TESTS_bases); \
  763 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  764 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  765 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  766 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  767 	exit $$?;
  768 recheck: all $(check_PROGRAMS)
  769 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  770 	@set +e; $(am__set_TESTS_bases); \
  771 	bases=`for i in $$bases; do echo $$i; done \
  772 	         | $(am__list_recheck_tests)` || exit 1; \
  773 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  774 	log_list=`echo $$log_list`; \
  775 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  776 	        am__force_recheck=am--force-recheck \
  777 	        TEST_LOGS="$$log_list"; \
  778 	exit $$?
  779 sanity.log: sanity$(EXEEXT)
  780 	@p='sanity$(EXEEXT)'; \
  781 	b='sanity'; \
  782 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  783 	--log-file $$b.log --trs-file $$b.trs \
  784 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  785 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  786 test_primitives.log: test_primitives$(EXEEXT)
  787 	@p='test_primitives$(EXEEXT)'; \
  788 	b='test_primitives'; \
  789 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  790 	--log-file $$b.log --trs-file $$b.trs \
  791 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  792 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  793 test_barriers.log: test_barriers$(EXEEXT)
  794 	@p='test_barriers$(EXEEXT)'; \
  795 	b='test_barriers'; \
  796 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  797 	--log-file $$b.log --trs-file $$b.trs \
  798 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  799 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  800 test_queue.log: test_queue$(EXEEXT)
  801 	@p='test_queue$(EXEEXT)'; \
  802 	b='test_queue'; \
  803 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  804 	--log-file $$b.log --trs-file $$b.trs \
  805 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  806 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  807 .test.log:
  808 	@p='$<'; \
  809 	$(am__set_b); \
  810 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  811 	--log-file $$b.log --trs-file $$b.trs \
  812 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  813 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  814 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  815 @am__EXEEXT_TRUE@	@p='$<'; \
  816 @am__EXEEXT_TRUE@	$(am__set_b); \
  817 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  818 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  819 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  820 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  821 
  822 distdir: $(DISTFILES)
  823 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  824 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  825 	list='$(DISTFILES)'; \
  826 	  dist_files=`for file in $$list; do echo $$file; done | \
  827 	  sed -e "s|^$$srcdirstrip/||;t" \
  828 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  829 	case $$dist_files in \
  830 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  831 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  832 			   sort -u` ;; \
  833 	esac; \
  834 	for file in $$dist_files; do \
  835 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  836 	  if test -d $$d/$$file; then \
  837 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  838 	    if test -d "$(distdir)/$$file"; then \
  839 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  840 	    fi; \
  841 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  842 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  843 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  844 	    fi; \
  845 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  846 	  else \
  847 	    test -f "$(distdir)/$$file" \
  848 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  849 	    || exit 1; \
  850 	  fi; \
  851 	done
  852 check-am: all-am
  853 	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  854 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  855 check: check-am
  856 all-am: Makefile
  857 installdirs:
  858 install: install-am
  859 install-exec: install-exec-am
  860 install-data: install-data-am
  861 uninstall: uninstall-am
  862 
  863 install-am: all-am
  864 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  865 
  866 installcheck: installcheck-am
  867 install-strip:
  868 	if test -z '$(STRIP)'; then \
  869 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  870 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  871 	      install; \
  872 	else \
  873 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  874 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  875 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  876 	fi
  877 mostlyclean-generic:
  878 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  879 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  880 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  881 
  882 clean-generic:
  883 
  884 distclean-generic:
  885 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  886 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  887 
  888 maintainer-clean-generic:
  889 	@echo "This command is intended for maintainers to use"
  890 	@echo "it deletes files that may require special tools to rebuild."
  891 clean: clean-am
  892 
  893 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  894 	mostlyclean-am
  895 
  896 distclean: distclean-am
  897 	-rm -rf ./$(DEPDIR)
  898 	-rm -f Makefile
  899 distclean-am: clean-am distclean-compile distclean-generic \
  900 	distclean-tags
  901 
  902 dvi: dvi-am
  903 
  904 dvi-am:
  905 
  906 html: html-am
  907 
  908 html-am:
  909 
  910 info: info-am
  911 
  912 info-am:
  913 
  914 install-data-am:
  915 
  916 install-dvi: install-dvi-am
  917 
  918 install-dvi-am:
  919 
  920 install-exec-am:
  921 
  922 install-html: install-html-am
  923 
  924 install-html-am:
  925 
  926 install-info: install-info-am
  927 
  928 install-info-am:
  929 
  930 install-man:
  931 
  932 install-pdf: install-pdf-am
  933 
  934 install-pdf-am:
  935 
  936 install-ps: install-ps-am
  937 
  938 install-ps-am:
  939 
  940 installcheck-am:
  941 
  942 maintainer-clean: maintainer-clean-am
  943 	-rm -rf ./$(DEPDIR)
  944 	-rm -f Makefile
  945 maintainer-clean-am: distclean-am maintainer-clean-generic
  946 
  947 mostlyclean: mostlyclean-am
  948 
  949 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  950 	mostlyclean-libtool
  951 
  952 pdf: pdf-am
  953 
  954 pdf-am:
  955 
  956 ps: ps-am
  957 
  958 ps-am:
  959 
  960 uninstall-am:
  961 
  962 .MAKE: check-am install-am install-strip
  963 
  964 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
  965 	clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
  966 	ctags ctags-am distclean distclean-compile distclean-generic \
  967 	distclean-libtool distclean-tags distdir dvi dvi-am html \
  968 	html-am info info-am install install-am install-data \
  969 	install-data-am install-dvi install-dvi-am install-exec \
  970 	install-exec-am install-html install-html-am install-info \
  971 	install-info-am install-man install-pdf install-pdf-am \
  972 	install-ps install-ps-am install-strip installcheck \
  973 	installcheck-am installdirs maintainer-clean \
  974 	maintainer-clean-generic mostlyclean mostlyclean-compile \
  975 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  976 	recheck tags tags-am uninstall uninstall-am
  977 
  978 
  979 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  980 # Otherwise a system limit (for SysV at least) may be exceeded.
  981 .NOEXPORT: